org.apache.ignite.internal.processors.platform.memory

## Interface PlatformOutputStream

All Superinterfaces:
  AutoCloseable, BinaryOutputStream, BinaryStream

All Known Implementing Classes:
  PlatformBigEndianOutputStreamImpl, PlatformOutputStreamImpl

    public interface PlatformOutputStream
    extends BinaryOutputStream

Interop output stream.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `synchronize()` Synchronize output stream with underlying memory

### Methods inherited from interface org.apache.ignite.internal.binary.streams.BinaryOutputStream

`close, unsafeEnsure, unsafePosition, unsafeWriteBoolean, unsafeWriteByte, unsafeWriteChar, unsafeWriteDouble, unsafeWriteFloat, unsafeWriteInt, unsafeWriteInt, unsafeWriteLong, unsafeWriteShort, unsafeWriteShort, write, write, writeBoolean, writeBooleanArray, writeByte, writeByteArray, writeChar, writeCharArray, writeDouble, writeDoubleArray, writeFloat, writeFloatArray, writeInt, writeInt, writeIntArray, writeLong, writeLongArray, writeShort, writeShort, writeShortArray`

### Methods inherited from interface org.apache.ignite.internal.binary.streams.BinaryStream

`array, arrayCopy, capacity, hasArray, offheapPointer, position, position, rawOffheapPointer`

### Method Detail

#### synchronize

    void synchronize()

Synchronize output stream with underlying memory

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018